/**
 * CONTACT FORM STYLES
 * Plugin: ContactForm7
 * Kontaktformular auf Startseite
 * Date: 10-10-2019
 * Author: Gerald Sailer, M'CAPS
 */

/* blende leere p-Tags aus */
.wpcf7-form p:empty {
   display: none;
}

.wpcf7-form {
   font-family: "Oswald", Sans-serif !important;
}

span.wpcf7-not-valid-tip {
   font-weight: normal !important;
}

span.wpcf7-list-item.first.last {
    margin-left: 0;
}

.wpcf7-form a[href*="datenschutz"] {
   font-weight: normal;
   color: #fff;
   text-decoration: underline;
}

/* required field styling */
.field-required {
  color: red;
}
input::placeholder,
textarea::placeholder {
   color: rgba(255,255,255,0.5);
}

/* DSGVO-Checkbox */
.gdpr-text {
  font-size: 12px;
  line-height: 1.2em;
}

/* input styling */
.wpcf7-form input,
.wpcf7-form textarea,
.wpcf7-form select {
  width: 100%;
  border-radius: 0;
  margin-top: 8px;
  color: #fff;
}
.wpcf7-form textarea {
  resize: none;
  height: 200px;
}
.wpcf7-list-item input {
  margin-top: 0;
}
.wpcf7-form select {
  padding: 8px 12px;
  line-height: 1.4em;
  background-color: #fff;
}
.wpcf7-form label {
  width: 100%;
  font-family: "HelveticaNeueLTStd", Sans-serif;
  font-weight: bold;
  font-size: 14px;
}
input[type="text"] {
  line-height: 1.4em;
}
.wpcf7-response-output {
  margin-top: 0px!important;
  margin-left: 0;
  margin-right: 0;
  color: #000;
}


/**
 * CONTACT FORM
 *
 * Plugin: ContactForm7
 * buttons
 */
input[type="submit"] {
  border: 1px solid #fff;
  color: #fff;
}
input[type="submit"]:hover,
input[type="submit"]:focus {
  border: 1px solid #fff;
  background-color: #fff;
  color: #43427a;
}
input[type="submit"]:disabled {
  opacity: .25;
}
input[type="submit"]:hover:disabled {
  color: inherit;
  background-color: inherit;
}
input[ype="text"] {
   background-color: red !important;
}
input.wpcf7-form-control.wpcf7-text,
textarea.wpcf7-form-control.wpcf7-textarea {
   /* background-color: rgba(0,0,0,0.25); */
   /* border: 1px solid rgba(0,0,0,0.25); */
  background-color: #232160 !important;
}
input.wpcf7-form-control.wpcf7-text.active {
   border: 1px solid rgba(255,255,255,0.5);
   color: #fff;
}
input.wpcf7-form-control.wpcf7-text:focus,
textarea.wpcf7-form-control.wpcf7-textarea:focus {
   /* border: 1px solid rgba(255,255,255,0.5); */
}

/**
 * CONTACT FORM
 *
 * Plugin: ContactForm7
 * general fonts
 */
.wpcf7-form h3 {
  font-weight: bold;
  font-size: 18px;
  color: #0b3868;
  display: inline-block;
}
.form-row > h3 {
  margin-top: 0;
}
.wpcf7-list-item-label {
  font-weight: bold;
  font-size: 16px;
  color: #fff;
}
span.wpcf7-not-valid-tip {
  font-weight: bold;
}

input[type="text"].wpff7-form-control,
input[type="textarea"].wpff7-form-control {
   background-color: #43427a !important;
}

textarea.wpcf7-form-control {
   color: #fff;
   border: 1px solid #fff;
   background-color: #43427a !important;
}

/**
 * CONTACT FORM
 *
 * Plugin: ContactForm7
 * Checkbox styling
 */
 form.wpcf7-form select, 
 form.wpcf7-form input {
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
}
form.wpcf7-form  input[type="checkbox"]:focus {
   outline:0;
}
form.wpcf7-form  input[type="checkbox"],
form.wpcf7-form  input[type="checkbox"]:focus {
  position: relative;
  float: left;
  border: 1px solid #fff;
  /* border: 1px solid rgba(0, 0, 0, 0); */
  display: block;
  font-size: 12px;
  font-weight: normal;
  line-height: initial;
  margin-top: -2px!important;
  margin-right: 8px;
  padding: 10px;
  width: 20px;
  height: 20px;
  box-sizing: border-box;
  vertical-align: middle;
  text-align: center;
  color: #fff;
}

form.wpcf7-form input[type=checkbox]:before {
  border: 1px solid #43427a;
}

form.wpcf7-form input[type=checkbox]:checked:before {
  font-family: "Font Awesome 5 Free";
  content: "\f00c";
  color: #fff;
  line-height: 1.5em;
  margin: auto;
  position: absolute;
  top: 0;
  left: -1px;
  bottom: -1px;
  right: 0;
  background-color: #232160;
}
input[type="checkbox"] + span.wpcf7-list-item-label {
  line-height: 1.2em;
}
p.dsgvo-text .wpcf7-list-item-label{
   font-family: "Oswald", Sans-serif !important;
   font-weight: normal;
    font-size: 14px;
}
p.dsgvo-text + p {
   color: #fff;
   line-height: 1.2em;
   font-size: 15px;
   font-family: "Oswald", Sans-serif !important;
}

span.wpcf7-not-valid-tip {
   color: #ff8100;
   margin-top: 5px;
   font-size: 14px;
}
div.wpcf7-validation-errors, div.wpcf7-acceptance-missing {
   border-color: #ff8100;
}


.form-dark .wpcf7-list-item-label,
.form-dark p.dsgvo-text + p {
  color: #000 !important;
}

.form-dark input[type="submit"] {
  width: auto;
  border: 1px solid #43427a;
  color: #43427a;
}
.form-dark input[type="submit"]:hover,
.form-dark input[type="submit"]:focus {
  border: 1px solid #43427a;
  background-color: #43427a;
  color: #fff;
}
.form-dark input[type="submit"]:disabled {
  opacity: .25;
}

.form-dark form.wpcf7-form  input[type="checkbox"],
.form-dark form.wpcf7-form  input[type="checkbox"]:focus {
  position: relative;
  float: left;
  border: 1px solid #43427a;
  box-sizing: border-box;
  vertical-align: middle;
  text-align: center;
  color: #43427a;
}